> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List source calendars

> Lists all calendars attached to a source.

This will return both manually added calendars and calendars from the external CRM.



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /agency/source/{id}/calendars
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /agency/source/{id}/calendars:
    get:
      tags:
        - Source
      summary: List source calendars
      description: "Lists all calendars attached to a source.\r\n\r\nThis will return both manually added calendars and calendars from the external CRM."
      parameters:
        - name: id
          in: path
          description: The source ID.
          required: true
          style: simple
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SourceCalendarDto'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SourceCalendarDto'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SourceCalendarDto'
components:
  schemas:
    SourceCalendarDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        id:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````